.dev
REST APIAPI Reference

Chat

GET
/v1/chat/conversations

Response Body

curl -X GET "https://example.com/v1/chat/conversations"
POST
/v1/chat/conversations

Response Body

curl -X POST "https://example.com/v1/chat/conversations"
GET
/v1/chat/conversations/{id}

Path Parameters

id*string

Response Body

curl -X GET "https://example.com/v1/chat/conversations/string"
PATCH
/v1/chat/conversations/{id}

Path Parameters

id*string

Response Body

curl -X PATCH "https://example.com/v1/chat/conversations/string"
DELETE
/v1/chat/conversations/{id}

Path Parameters

id*string

Response Body

curl -X DELETE "https://example.com/v1/chat/conversations/string"
POST
/v1/chat/conversations/{id}/messages

Path Parameters

id*string

Response Body

curl -X POST "https://example.com/v1/chat/conversations/string/messages"
DELETE
/v1/chat/conversations/{id}/messages/{messageId}

Path Parameters

id*string
messageId*string

Response Body

curl -X DELETE "https://example.com/v1/chat/conversations/string/messages/string"
GET
/v1/chat/conversations/{id}/queue

Path Parameters

id*string

Response Body

curl -X GET "https://example.com/v1/chat/conversations/string/queue"
POST
/v1/chat/conversations/{id}/queue

Path Parameters

id*string

Response Body

curl -X POST "https://example.com/v1/chat/conversations/string/queue"
PATCH
/v1/chat/conversations/{id}/queue/{itemId}

Path Parameters

id*string
itemId*string

Response Body

curl -X PATCH "https://example.com/v1/chat/conversations/string/queue/string"
DELETE
/v1/chat/conversations/{id}/queue/{itemId}

Path Parameters

id*string
itemId*string

Response Body

curl -X DELETE "https://example.com/v1/chat/conversations/string/queue/string"
POST
/v1/chat/conversations/{id}/queue/consume

Path Parameters

id*string

Response Body

curl -X POST "https://example.com/v1/chat/conversations/string/queue/consume"
PUT
/v1/chat/conversations/{id}/queue/reorder

Path Parameters

id*string

Response Body

curl -X PUT "https://example.com/v1/chat/conversations/string/queue/reorder"
POST
/v1/chat/estimate

Response Body

curl -X POST "https://example.com/v1/chat/estimate"
GET
/v1/chat/generations/{generationId}

Path Parameters

generationId*string

Response Body

curl -X GET "https://example.com/v1/chat/generations/string"
POST
/v1/chat/generations/{generationId}/cancel

Path Parameters

generationId*string

Response Body

curl -X POST "https://example.com/v1/chat/generations/string/cancel"
GET
/v1/chat/jobs/{jobId}

Path Parameters

jobId*string

Response Body

curl -X GET "https://example.com/v1/chat/jobs/string"
GET
/v1/chat/mcp-servers

Response Body

curl -X GET "https://example.com/v1/chat/mcp-servers"
POST
/v1/chat/mcp-servers

Response Body

curl -X POST "https://example.com/v1/chat/mcp-servers"
PATCH
/v1/chat/mcp-servers/{id}

Path Parameters

id*string

Response Body

curl -X PATCH "https://example.com/v1/chat/mcp-servers/string"
DELETE
/v1/chat/mcp-servers/{id}

Path Parameters

id*string

Response Body

curl -X DELETE "https://example.com/v1/chat/mcp-servers/string"
POST
/v1/chat/mcp-servers/{id}/oauth/complete

Path Parameters

id*string

Response Body

curl -X POST "https://example.com/v1/chat/mcp-servers/string/oauth/complete"
POST
/v1/chat/mcp-servers/{id}/oauth/start

Path Parameters

id*string

Response Body

curl -X POST "https://example.com/v1/chat/mcp-servers/string/oauth/start"
POST
/v1/chat/mcp-servers/{id}/test

Path Parameters

id*string

Response Body

curl -X POST "https://example.com/v1/chat/mcp-servers/string/test"
GET
/v1/chat/mcp-servers/{id}/tools

Path Parameters

id*string

Response Body

curl -X GET "https://example.com/v1/chat/mcp-servers/string/tools"
GET
/v1/chat/mcp-servers/oauth/meta-callback

Response Body

curl -X GET "https://example.com/v1/chat/mcp-servers/oauth/meta-callback"
GET
/v1/chat/models

Response Body

curl -X GET "https://example.com/v1/chat/models"